<?php

// Resource routes  for bus_category
Route::group(['prefix' => set_route_guard('web').'/bus_category'], function () {
    Route::put('bus_category/workflow/{example}/{step}', 'BusCategoryWorkflowController@putWorkflow');
    Route::get('bus_category/workflow/{example}/{step}/{user}', 'BusCategoryWorkflowController@getWorkflow');
    Route::resource('bus_category', 'BusCategoryResourceController');
});

// Public  routes for bus_category
Route::get('bus_category/workflow/{bus_category}/{step}/{user}', 'BusCategoryController@getWorkflow');
Route::get('bus_category/popular/{period?}', 'BusCategoryPublicController@popular');
Route::get('bus_categories/', 'BusCategoryPublicController@index');
Route::get('bus_categories/{slug?}', 'BusCategoryPublicController@show');

